.\" Man page generated from reStructuredText.
.
.TH "CWB_XTALK" "1" "Nov 25, 2022" "cWB-6.4.2" "coherent WaveBurst"
.SH NAME
cwb_xtalk \- cWB Documentation
.
.nr rst2man-indent-level 0
.
.de1 rstReportMargin
\\$1 \\n[an-margin]
level \\n[rst2man-indent-level]
level margin: \\n[rst2man-indent\\n[rst2man-indent-level]]
-
\\n[rst2man-indent0]
\\n[rst2man-indent1]
\\n[rst2man-indent2]
..
.de1 INDENT
.\" .rstReportMargin pre:
. RS \\$1
. nr rst2man-indent\\n[rst2man-indent-level] \\n[an-margin]
. nr rst2man-indent-level +1
.\" .rstReportMargin post:
..
.de UNINDENT
. RE
.\" indent \\n[an-margin]
.\" old: \\n[rst2man-indent\\n[rst2man-indent-level]]
.nr rst2man-indent-level -1
.\" new: \\n[rst2man-indent\\n[rst2man-indent-level]]
.in \\n[rst2man-indent\\n[rst2man-indent-level]]u
..
.nf

.fi
.sp
.sp
This page provides a description of the cwb_xtalk command.
.nf

\fBInfo\fP

The xTalk catalog files contain the overlapping coefficients between WDM pixels and are used by
wavelet\-packet to reconstruct the signal using pixels at different resolution levels.
.fi
.sp
.nf

\fBUsage\fP

.in +2
This command generates the xtalk catalog used in the Multi Resolution Analysis.

.in -2
\fBSyntax\fP

.fi
.sp
.INDENT 0.0
.INDENT 3.5
.INDENT 0.0
.IP \(bu 2
.INDENT 2.0
.TP
.B \fBcwb_xtalk\fP (without arguments)
Prints help
.UNINDENT
.IP \(bu 2
.INDENT 2.0
.TP
.B \fBcwb_xtalk low_res_level high_res_level iNu precision\fP
It generates the xtalk catalog
.UNINDENT
.UNINDENT
.UNINDENT
.UNINDENT
.nf

\fBFurther information\fP
The following options can be passed to cwb_xtalk:
.fi
.sp
.INDENT 0.0
.INDENT 3.5
.INDENT 0.0
.INDENT 3.5
.sp
.nf
.ft C
action =    low_res_level     :  it corresponds to the lower resolution level.
                                 The level is selected as 2^low_res_level

            high_res_level    :  it corresponds to the higher resolution level.
                                 The level is selected as 2^high_res_level

            iNu               :  (optional, by default set to 4) it corresponds to the sharpness
                                 of the \(aqedge\(aq of the basis function in Fourier domain

            precision         :  (optional, by default set to 10) it defines the filter length
                                 by truncation error quantified by P = \-log10(1 \- norm_of_filter)
.ft P
.fi
.UNINDENT
.UNINDENT
.UNINDENT
.UNINDENT
.nf

\fBExamples\fP

.fi
.sp
.INDENT 0.0
.INDENT 3.5
.INDENT 0.0
.IP \(bu 2
.INDENT 2.0
.TP
.B The following command line generates the Overlap Catalog file OverlapCatalog\-lLev3\-hLev8\-iNu4\-P10.bin with low\- and high\-resolution layers equal to 8 and 256, respectively:
\fBcwb_xtalk 3 8\fP
.UNINDENT
.UNINDENT
.UNINDENT
.UNINDENT
.sp
\fBNOTE:\fP
.INDENT 0.0
.INDENT 3.5
The overlap catalog files used for the Second Observational run O2 searches is:
.INDENT 0.0
.INDENT 3.5
.INDENT 0.0
.IP \(bu 2
.INDENT 2.0
.TP
.B BurstLF, BurstHF, BBH, IMBHB:
OverlapCatalog16\-1024.bin (is equal to the file OverlapCatalog\-ilLev4\-hLev10\-iNu4\-P10.xbin)
.sp
The file is generate with the following command: \fBcwb_xtalk 4 10 4 10\fP
.UNINDENT
.IP \(bu 2
.INDENT 2.0
.TP
.B BurstLD:
OverlapCatalog\-ilLev6\-hLev12\-iNu6\-P10.xbin
.sp
The file is generate with the following command: \fBcwb_xtalk 6 12 6 10\fP
.UNINDENT
.UNINDENT
.UNINDENT
.UNINDENT
.sp
For the Third Observational run O3 searches we will plan to use:
.INDENT 0.0
.INDENT 3.5
.INDENT 0.0
.IP \(bu 2
.INDENT 2.0
.TP
.B BurstLF, BurstHF, BBH, IMBHB:
OverlapCatalog\-ilLev4\-hLev10\-iNu6\-P10.xbin (almost equivalent to OverlapCatalog\-ilLev4\-hLev10\-iNu4\-P10.xbin)
.sp
The file is generate with the following command: \fBcwb_xtalk 4 10 6 10\fP
.UNINDENT
.IP \(bu 2
.INDENT 2.0
.TP
.B BurstLD:
OverlapCatalog\-ilLev6\-hLev12\-iNu6\-P10.xbin
.sp
The file is generate with the following command: \fBcwb_xtalk 6 12 6 10\fP
.UNINDENT
.UNINDENT
.UNINDENT
.UNINDENT
.UNINDENT
.UNINDENT
.sp
\fBATTENTION:\fP
.INDENT 0.0
.INDENT 3.5
The generation of the catalog files may takes a while. We suggest to download the files from the public directory \fI\%WDMxTalk\-Catalogs\fP
.sp
The line command to download \fBOverlapCatalog16\-1024.bin\fP is:
.sp
\fBwget https://owncloud.ego\-gw.it/index.php/s/qHBlJIOhpC6K9U3/download \-O OverlapCatalog16\-1024.bin\fP
.sp
The line command to download \fBOverlapCatalog\-ilLev6\-hLev12\-iNu6\-P10.xbin\fP is:
.sp
\fBwget https://owncloud.ego\-gw.it/index.php/s/cPsA5THoEUwLMXn/download \-O OverlapCatalog\-ilLev6\-hLev12\-iNu6\-P10.xbin\fP
.UNINDENT
.UNINDENT
.SH AUTHOR
Gabriele Vedovato
.SH COPYRIGHT
2018, cWB Team
.\" Generated by docutils manpage writer.
.
